diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
index 2479e7c2e..0f3956013 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
@@ -14,12 +14,10 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.enums.ArmorHiddenState;
 import net.minecraft.core.enums.HumanArmorShape;
+import net.minecraft.core.item.IArmorItem;
 import net.minecraft.core.item.Item;
-import net.minecraft.core.item.ItemArmor;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.Items;
 import net.minecraft.core.item.block.ItemBlock;
-import net.minecraft.core.item.material.ArmorMaterial;
 import net.minecraft.core.util.collection.NamespaceID;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
@@ -32,20 +30,19 @@ public class HudComponentArmorBar extends HudComponentMovable {
     private final @NotNull Random random = new Random();
     private final @NotNull StringBuilder queryBuilder = new StringBuilder();
 
-    public static final @NotNull Map<@NotNull Item, @NotNull NamespaceID> CUSTOM_ITEM_MAP = new HashMap<>();
-    private static final @NotNull NamespaceID ITEM_HEAD_ID = new NamespaceID("minecraft", "item_generic");
-    private static final @NotNull NamespaceID BLOCK_HEAD_ID = new NamespaceID("minecraft", "block_generic");
-    private static final @NotNull NamespaceID UNKNOWN_ID = new NamespaceID("minecraft", "unknown");
+    private static final @NotNull String SLOT_EMPTY = "empty";
+    private static final @NotNull String SLOT_UNKNOWN = "unknown";
+    private static final @NotNull String SLOT_GENERIC_ITEM = "generic_item";
+    private static final @NotNull String SLOT_GENERIC_BLOCK = "generic_block";
 
-    static {
-        CUSTOM_ITEM_MAP.put(Items.ARMOR_BOOTS_ICESKATES, new NamespaceID("minecraft", "iceskates"));
-        CUSTOM_ITEM_MAP.put(Items.ARMOR_QUIVER, new NamespaceID("minecraft", "quiver"));
-        CUSTOM_ITEM_MAP.put(Items.ARMOR_QUIVER_GOLD,  new NamespaceID("minecraft", "quiver_gold"));
-    }
-
-    private record IconKey(@NotNull ArmorState state, @NotNull NamespaceID id, boolean isFlipped) {}
+    private static final @NotNull NamespaceID PREVIEW_HELMET_ID = new NamespaceID("minecraft", "item/armor_helmet_leather");
+    private static final @NotNull NamespaceID PREVIEW_CHESTPLATE_ID = new NamespaceID("minecraft", "item/armor_chestplate_iron");
+    private static final @NotNull NamespaceID PREVIEW_LEGGINGS_ID = new NamespaceID("minecraft", "item/armor_leggings_gold");
+    private static final @NotNull NamespaceID PREVIEW_BOOTS_ID = new NamespaceID("minecraft", "item/armor_boots_diamond");
 
-    private final Map<IconKey, IconCoordinate> icons = new HashMap<>();
+    private final Map<String, IconCoordinate> icons = new HashMap<>();
+    private final Map<String, Boolean> iconExists = new HashMap<>();
+    private int cachedReloadGeneration = -1;
     private final @NotNull HumanArmorShape targetShape;
 
     public HudComponentArmorBar(@NotNull String key, @NotNull Layout layout, @NotNull HumanArmorShape targetShape) {
@@ -88,29 +85,40 @@ public class HudComponentArmorBar extends HudComponentMovable {
         };
     }
 
-    private @NotNull IconCoordinate getIconForState(@NotNull ArmorState state, @Nullable ArmorMaterial material, @Nullable NamespaceID customId, boolean isFlipped) {
-        NamespaceID id;
-        if (customId != null) {
-            id = customId;
-        } else if (material != null) {
-            id = material.identifier;
-        } else {
-            id = UNKNOWN_ID;
+    private @NotNull IconCoordinate getIcon(@NotNull String query) {
+        return this.icons.computeIfAbsent(query, TextureRegistry::getTexture);
+    }
+
+    private @Nullable String resolveItemIcon(@NotNull Item item, @NotNull ArmorState state, boolean isFlipped) {
+        String query = itemQuery(item.namespaceID, state, isFlipped);
+        Boolean exists = this.iconExists.get(query);
+        if (exists == null) {
+            exists = TextureRegistry.hasSourceFile(query);
+            this.iconExists.put(query, exists);
         }
-        return this.icons.computeIfAbsent(new IconKey(state, id, isFlipped), this::loadArmorIcon);
+        return exists ? query : null;
     }
 
-    private @NotNull IconCoordinate loadArmorIcon(@NotNull IconKey key) {
-        this.queryBuilder.setLength(0);
-        if (key.state() == ArmorState.EMPTY) {
-            this.queryBuilder.append("minecraft:gui/hud/armor/").append(getShapeName()).append("/empty/empty");
-        } else {
-            boolean applyFlip = key.isFlipped() && key.state() == ArmorState.HALF;
-            this.queryBuilder.append(key.id.namespace()).append(":gui/hud/armor/").append(getShapeName()).append("/").append(key.state().getRegistry());
-            if (applyFlip) this.queryBuilder.append("/flipped");
-            this.queryBuilder.append("/").append(key.id.value());
+    private void refreshCachesIfStale() {
+        int generation = TextureRegistry.reloadGeneration;
+        if (generation != this.cachedReloadGeneration) {
+            this.cachedReloadGeneration = generation;
+            this.icons.clear();
+            this.iconExists.clear();
         }
-        return TextureRegistry.getTexture(this.queryBuilder.toString());
+    }
+
+    private @NotNull String itemQuery(@NotNull NamespaceID itemKey, @NotNull ArmorState state, boolean isFlipped) {
+        this.queryBuilder.setLength(0);
+        this.queryBuilder.append(itemKey.namespace()).append(":gui/hud/armor_bar/").append(itemKey.value()).append('/').append(state.getRegistry());
+        if (isFlipped && state == ArmorState.HALF) this.queryBuilder.append("_flipped");
+        return this.queryBuilder.toString();
+    }
+
+    private @NotNull String slotQuery(@NotNull String name) {
+        this.queryBuilder.setLength(0);
+        this.queryBuilder.append("minecraft:gui/hud/armor_bar/slot/").append(getShapeName()).append('/').append(name);
+        return this.queryBuilder.toString();
     }
 
     private @NotNull String getShapeName() {
@@ -144,26 +152,38 @@ public class HudComponentArmorBar extends HudComponentMovable {
 
     @Override
     public void render(HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
+        refreshCachesIfStale();
+
+        boolean isFlipped = this.isFlipped();
+
         ItemStack armorStack = getWornArmor();
         double currentDurability = 0;
         double maxDurability = 0;
         ArmorState state = ArmorState.EMPTY;
-        ArmorMaterial material = null;
-        NamespaceID customId = null;
+        String query = slotQuery(SLOT_EMPTY);
         if (armorStack != null) {
             Item item = armorStack.getItem();
             maxDurability = armorStack.getMaxDamage();
             currentDurability = maxDurability > 0 ? maxDurability - armorStack.getItemDamageForDisplay() : 0;
-            if (CUSTOM_ITEM_MAP.containsKey(item)) {
-                customId = CUSTOM_ITEM_MAP.get(item);
-                state = ArmorState.calculate(armorStack);
-            } else if (item instanceof ItemArmor<?> armor) {
-                material = armor.getArmorMaterial();
+
+            boolean isArmorItem = item instanceof IArmorItem<?>;
+
+            if (isArmorItem) {
                 state = ArmorState.calculate(armorStack);
             } else if (this.targetShape == HumanArmorShape.HEAD) {
-                customId = (item instanceof ItemBlock) ? BLOCK_HEAD_ID : ITEM_HEAD_ID;
                 state = ArmorState.INFINITE;
             }
+
+            if (state != ArmorState.EMPTY) {
+                String itemIcon = resolveItemIcon(item, state, isFlipped);
+                if (itemIcon != null) {
+                    query = itemIcon;
+                } else if (!isArmorItem) {
+                    query = slotQuery(item instanceof ItemBlock ? SLOT_GENERIC_BLOCK : SLOT_GENERIC_ITEM);
+                } else {
+                    query = slotQuery(SLOT_UNKNOWN);
+                }
+            }
         }
 
         int x = this.getLayout().getComponentX(this, xSizeScreen);
@@ -180,11 +200,9 @@ public class HudComponentArmorBar extends HudComponentMovable {
         GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f);
         GLRenderer.enableState(State.BLEND);
 
-        boolean isFlipped = this.isFlipped();
-
         TextureRegistry.guiSpriteAtlas.bind();
         TessellatorGeneral t = GLRenderer.getTessellator();
-        t.startDrawingQuads(); hud.addGuiIconDouble(t, x, iconY, 9, 9, getIconForState(state, material, customId, isFlipped)); t.draw();
+        t.startDrawingQuads(); hud.addGuiIconDouble(t, x, iconY, 9, 9, getIcon(query)); t.draw();
         drawDurabilityBar(hud, x, y, state, currentDurability, maxDurability, 0xFF, isFlipped, inAcidWarning);
     }
 
@@ -198,23 +216,23 @@ public class HudComponentArmorBar extends HudComponentMovable {
 
         int alpha = isPreviewTranslucent() ? 0x55 : 0xFF;
 
-        ArmorMaterial previewMaterial;
+        NamespaceID previewId;
         int previewDurability;
         switch (this.targetShape) {
             case HEAD -> {
-                previewMaterial = ArmorMaterial.LEATHER;
+                previewId = PREVIEW_HELMET_ID;
                 previewDurability = 45;
             }
             case CHEST -> {
-                previewMaterial = ArmorMaterial.IRON;
+                previewId = PREVIEW_CHESTPLATE_ID;
                 previewDurability = 35;
             }
             case LEGS -> {
-                previewMaterial = ArmorMaterial.GOLD;
+                previewId = PREVIEW_LEGGINGS_ID;
                 previewDurability = 25;
             }
             default-> {
-                previewMaterial = ArmorMaterial.DIAMOND;
+                previewId = PREVIEW_BOOTS_ID;
                 previewDurability = 15;
             }
         }
@@ -223,7 +241,7 @@ public class HudComponentArmorBar extends HudComponentMovable {
 
         TextureRegistry.guiSpriteAtlas.bind();
         TessellatorGeneral t = GLRenderer.getTessellator();
-        t.startDrawingQuads(); gui.addGuiIconDouble(t, x, y, 9, 9, getIconForState(ArmorState.HALF, previewMaterial, null, isFlipped)); t.draw();
+        t.startDrawingQuads(); gui.addGuiIconDouble(t, x, y, 9, 9, getIcon(itemQuery(previewId, ArmorState.HALF, isFlipped))); t.draw();
         drawDurabilityBar(gui, x, y, ArmorState.HALF, previewDurability, 100, alpha, isFlipped, false);
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/TextureManager.java b/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
index 9bb97417d..c2cf177e9 100644
--- a/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
+++ b/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
@@ -389,6 +389,8 @@ public class TextureManager {
 			stitcher.init();
 		}
 
+		TextureRegistry.reloadGeneration++;
+
         for (DynamicTexture dynamicTexture : this.dynamicTextures.values()) {
             dynamicTexture.postInit();
         }
diff --git a/game/client/src/main/java/net/minecraft/client/render/texture/stitcher/TextureRegistry.java b/game/client/src/main/java/net/minecraft/client/render/texture/stitcher/TextureRegistry.java
index 5480e0c86..de12e76a7 100644
--- a/game/client/src/main/java/net/minecraft/client/render/texture/stitcher/TextureRegistry.java
+++ b/game/client/src/main/java/net/minecraft/client/render/texture/stitcher/TextureRegistry.java
@@ -5,6 +5,7 @@ package net.minecraft.client.render.texture.stitcher;
 import com.mojang.logging.LogUtils;
 import it.unimi.dsi.fastutil.objects.Object2ObjectOpenHashMap;
 import it.unimi.dsi.fastutil.objects.ObjectArrayList;
+import net.minecraft.client.Minecraft;
 import net.minecraft.core.Global;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.util.HardIllegalArgumentException;
@@ -37,6 +38,13 @@ import java.util.stream.Stream;
 
 public class TextureRegistry {
     private static final Logger LOGGER = LogUtils.getLogger();
+
+    /**
+     * Incremented every time the atlases are (re)stitched (e.g. on a texture pack change). Consumers that cache
+     * texture-existence lookups can watch this to know when their cache has gone stale.
+     */
+    public static int reloadGeneration = 0;
+
     public static List<AtlasStitcher> atlases = new ObjectArrayList<>();
     public static Map<String, AtlasStitcher> stitcherMap = new Object2ObjectOpenHashMap<>();
     public static final BufferedImage missingIconImage = new BufferedImage(16, 16, BufferedImage.TYPE_INT_ARGB);
@@ -108,6 +116,22 @@ public class TextureRegistry {
 
         return atlas.iconMap.containsKey(id);
     }
+
+    public static boolean hasSourceFile(@NotNull String key) {
+        try {
+            return hasSourceFile(NamespaceID.fromPool(key));
+        } catch (HardIllegalArgumentException e) {
+            throw new RuntimeException(e);
+        }
+    }
+    public static boolean hasSourceFile(@NotNull NamespaceID id){
+        final int slashIndex = id.value().indexOf("/");
+        String atlasId = id.value().substring(0, slashIndex);
+        final AtlasStitcher atlas = stitcherMap.get(atlasId);
+        if (atlas == null) throw new IllegalArgumentException("Failed to find atlas '" + atlasId + "'! From ID: " + id);
+
+        return Minecraft.getMinecraft().texturePackList.anyHasFile(atlas.getSourceImageId(id) + ".png");
+    }
     public static @NotNull AtlasStitcher register(@NotNull AtlasStitcher atlas){
         for (String id : atlas.idDirMap.keySet()) {
             stitcherMap.put(id, atlas);
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/mobspawner_nether.png b/game/client/src/main/resources/assets/minecraft/textures/block/mobspawner_nether.png
deleted file mode 100644
index c370adc5b..000000000
Binary files a/game/client/src/main/resources/assets/minecraft/textures/block/mobspawner_nether.png and /dev/null differ
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic_pearl_unused.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic_pearl_unused.png
deleted file mode 100644
index facae173c..000000000
Binary files a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic_pearl_unused.png and /dev/null differ
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/block_generic.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/block/block_grass/infinite.png.example
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/block_generic.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/block/block_grass/infinite.png.example
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_chainmail/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_chainmail/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_chainmail/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_chainmail/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_chainmail/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_chainmail/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_diamond/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_diamond/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_diamond/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_diamond/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_diamond/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_diamond/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_gold/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_gold/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_gold/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_gold/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_gold/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_gold/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/infinite/iceskates.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_iceskates/infinite.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/infinite/iceskates.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_iceskates/infinite.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_iron/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_iron/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_iron/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_iron/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_iron/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_iron/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_leather/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_leather/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_leather/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_leather/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_leather/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_leather/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_steel/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/full/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_steel/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_steel/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_steel/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_steel/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/half/flipped/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_boots_steel/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_chainmail/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_chainmail/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_chainmail/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_chainmail/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_chainmail/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_chainmail/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_diamond/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_diamond/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_diamond/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_diamond/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_diamond/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_diamond/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_gold/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_gold/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_gold/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_gold/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_gold/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_gold/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_iron/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_iron/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_iron/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_iron/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_iron/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_iron/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_leather/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_leather/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_leather/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_leather/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_leather/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_leather/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_steel/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_steel/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_steel/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_steel/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_steel/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_chestplate_steel/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_chainmail/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_chainmail/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_chainmail/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_chainmail/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_chainmail/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_chainmail/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_diamond/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_diamond/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_diamond/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_diamond/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_diamond/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_diamond/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_gold/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_gold/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_gold/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_gold/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_gold/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_gold/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_iron/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_iron/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_iron/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_iron/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_iron/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_iron/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_leather/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_leather/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_leather/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_leather/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_leather/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_leather/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_steel/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/full/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_steel/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_steel/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_steel/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_steel/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/half/flipped/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_helmet_steel/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_chainmail/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_chainmail/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_chainmail/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_chainmail/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/chain.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_chainmail/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/chain.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_chainmail/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_diamond/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_diamond/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_diamond/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_diamond/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/diamond.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_diamond/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/diamond.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_diamond/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_gold/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_gold/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_gold/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_gold/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_gold/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_gold/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_iron/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_iron/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_iron/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_iron/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/iron.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_iron/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/iron.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_iron/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_leather/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_leather/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_leather/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_leather/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/cloth.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_leather/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/cloth.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_leather/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_steel/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/full/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_steel/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_steel/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_steel/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/steel.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_steel/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/half/flipped/steel.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_leggings_steel/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/empty/quiver.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver/empty.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/empty/quiver.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver/empty.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/quiver.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver/full.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/full/quiver.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver/full.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/quiver.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver/half.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/flipped/quiver.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver/half.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/quiver.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver/half_flipped.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/half/quiver.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver/half_flipped.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/infinite/quiver_gold.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver_gold/infinite.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/infinite/quiver_gold.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/armor_quiver_gold/infinite.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic_diamond_unused.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/diamond/infinite.png.example
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic_diamond_unused.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/diamond/infinite.png.example
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic_apple_unused.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/food_apple/infinite.png.example
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic_apple_unused.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/item/food_apple/infinite.png.example
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/empty/empty.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/boots/empty.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/boots/empty/empty.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/boots/empty.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/empty/empty.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/chestplate/empty.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/chestplate/empty/empty.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/chestplate/empty.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/empty/empty.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/helmet/empty.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/empty/empty.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/helmet/empty.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/helmet/generic_block.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/helmet/infinite/item_generic.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/helmet/generic_block.png
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/helmet/generic_item.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/helmet/generic_item.png
new file mode 100644
index 000000000..4ee894a78
Binary files /dev/null and b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/helmet/generic_item.png differ
diff --git a/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/empty/empty.png b/game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/leggings/empty.png
similarity index 100%
rename from game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor/leggings/empty/empty.png
rename to game/client/src/main/resources/assets/minecraft/textures/gui/sprites/hud/armor_bar/slot/leggings/empty.png
diff --git a/game/core/src/main/resources/assets/minecraft/lang/en_US/stats.lang b/game/core/src/main/resources/assets/minecraft/lang/en_US/stats.lang
index ce960cede..68313ddf6 100644
--- a/game/core/src/main/resources/assets/minecraft/lang/en_US/stats.lang
+++ b/game/core/src/main/resources/assets/minecraft/lang/en_US/stats.lang
@@ -145,8 +145,8 @@ achievement.craftConduit=Go with the Flow
 achievement.craftConduit.desc=Craft a conduit.
 achievement.discoverOldWorld=Uncanny...
 achievement.discoverOldWorld.desc=Discover the Old World.
-achievement.triggerEmber=Suprise!
-achievement.triggerEmber.desc=Trigger an ember block to exlode by walking ontop of it.
+achievement.triggerEmber=Surprise!
+achievement.triggerEmber.desc=Trigger an ember block to explode by walking on top of it.
 achievement.collectAcid=Acquire Acid
 achievement.collectAcid.desc=Collect acid in a bucket.
 achievement.acidSulfurConversion=Caustic Cooling
